/// <reference types="react" />
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { INotebookContent } from '@jupyterlab/nbformat';
import { ServiceManager } from '@jupyterlab/services';
import { Lite, Kernel } from './../../jupyter';
import { ICellSidebarProps } from './cell/sidebar/CellSidebarWidget';
import { INotebookToolbarProps } from './toolbar/NotebookToolbar';
import './Notebook.css';
export type ExternalIPyWidgets = {
    name: string;
    version: string;
};
export type BundledIPyWidgets = ExternalIPyWidgets & {
    module: any;
};
export type INotebookProps = {
    CellSidebar?: (props: ICellSidebarProps) => JSX.Element;
    Toolbar?: (props: INotebookToolbarProps) => JSX.Element;
    cellMetadataPanel: boolean;
    cellSidebarMargin: number;
    height?: string;
    id: string;
    lite?: Lite;
    kernel?: Kernel;
    maxHeight?: string;
    nbformat?: INotebookContent;
    nbgrader: boolean;
    path?: string;
    readonly: boolean;
    renderers: IRenderMime.IRendererFactory[];
    serverless: boolean;
    serviceManager?: ServiceManager.IManager;
    url?: string;
};
/**
 * This component creates a Notebook as a collection of cells
 * with sidebars.
 *
 * @param props The notebook properties.
 * @returns A Notebook React.js component.
 */
export declare const Notebook: {
    (props: INotebookProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<INotebookProps>;
};
export default Notebook;
