import { CommandRegistry } from '@lumino/commands';
import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import { NotebookPanel } from '@jupyterlab/notebook';
import { CompletionHandler } from '@jupyterlab/completer';
import { INotebookContent, CellType } from '@jupyterlab/nbformat';
import { Lite } from '../../jupyter/lite';
import { Kernel } from '../../jupyter/kernel';
import { INotebookProps } from './Notebook';
export declare class NotebookAdapter {
    private _CellSidebar?;
    private _boxPanel;
    private _commandRegistry;
    private _context?;
    private _documentRegistry?;
    private _iPyWidgetsManager?;
    private _id;
    private _kernel?;
    private _lite?;
    private _nbformat?;
    private _nbgrader;
    private _notebookModelFactory?;
    private _notebookPanel?;
    private _url?;
    private _path?;
    private _readonly;
    private _renderers;
    private _rendermime?;
    private _serverless;
    private _serviceManager;
    private _tracker?;
    constructor(props: INotebookProps);
    loadFromUrl(url: string): Promise<any>;
    notebookKeydownListener: (event: KeyboardEvent) => void;
    setupCompleter(notebookPanel: NotebookPanel): CompletionHandler;
    initializeContext(): void;
    private setupAdapter;
    get id(): string;
    get readonly(): boolean;
    get serverless(): boolean;
    get lite(): Lite | undefined;
    get path(): string | undefined;
    get url(): string | undefined;
    get nbformat(): INotebookContent | undefined;
    get kernel(): Kernel | undefined;
    get notebookPanel(): NotebookPanel | undefined;
    get panel(): BoxPanel;
    get commands(): CommandRegistry;
    get serviceManager(): ServiceManager.IManager;
    setNbformat(nbformat: INotebookContent): void;
    setServiceManager(serviceManager: ServiceManager.IManager, lite: Lite): void;
    setReadonly(readonly: boolean): void;
    setPath(path: string): void;
    assignKernel(kernel: Kernel): void;
    setDefaultCellType: (cellType: CellType) => void;
    changeCellType: (cellType: CellType) => void;
    insertAbove: (source?: string) => void;
    insertBelow: (source?: string) => void;
    dispose: () => void;
}
export default NotebookAdapter;
